item.hpp File Reference
`#include <cstdint>`
`#include <type_traits>`
Include dependency graph for item.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::memory::Item

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::builder
| Classes for building OSM objects and other items in buffers.
| osmium::memory
| Memory management of items in buffers and iterators over this data.

## Typedefs

typedef uint32_t | osmium::memory::item_size_type

## Functions

template<typename T >
T | osmium::memory::padded_length (T length) noexcept

## Variables

constexpr item_size_type | osmium::memory::align_bytes = 8